Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions.global
Class GlobalPrintAction

    java.lang.Object
      AbstractActionHandler
          org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
              org.eclipse.gmf.runtime.common.ui.action.actions.global.GlobalPrintAction

    public final class GlobalPrintAction

extends GlobalAction

Global action for printing

Constructor Summary
`GlobalPrintAction(IWorkbenchPage workbenchPage)`
`GlobalPrintAction(IWorkbenchPart workbenchPart)`

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId` handled by this action
`void` `init()`
`protected boolean` `isSelectionListener()`
`void` `refresh()`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
`createCompositeCommand, createContext, doRun, getGlobalActionHandlerData, getObjectContextGlobalActionHandlerData, getUndoContext, getWorkbenchActionConstant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalPrintAction

    public GlobalPrintAction(IWorkbenchPage workbenchPage)

Parameters:
  `workbenchPage` -

### GlobalPrintAction

    public GlobalPrintAction(IWorkbenchPart workbenchPart)

Parameters:
  `workbenchPart` -

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `GlobalAction`

### getActionId

    public java.lang.String getActionId()

  Description copied from class: `GlobalAction`
  Returns the `GlobalActionId` handled by this action

  Specified by:
    `getActionId` in class `GlobalAction`
  Returns:
    int

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `GlobalAction`

### isSelectionListener

    protected boolean isSelectionListener()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.